Description

The problem is that rake db:drop returns 0 even when there are errors. We should detect whether anything was on STDOUT and in

such case report a warning otherwise suppose it ran ok.

Associated revisions

Revision 76518ecb - 11/14/2013 08:57 AM - Marek Hulán

Fixes #3610 - explains error detection problems

History

#1 - 11/12/2013 10:25 AM - Marek Hulán

- Project changed from Kafo to Installer

- Status changed from New to Assigned

- Assignee set to Marek Hulán

#2 - 11/12/2013 10:33 AM - Marek Hulán

This won't be that easy because there can be deprecation warnings on STDOUT (from fog atm) and STDERR can contain warnings like "program

compiled against libxml 209 using older 208".

I think the only correct solution is to wait until this PR gets merged https://github.com/rails/rails/pull/12531 which is targeted 4.1.0 (unless they

backport it). Meanwhile we should document this somehow?

#3 - 11/12/2013 06:29 PM - Greg Sutcliffe

I think documentation is fine while we wait.

#4 - 11/14/2013 09:00 AM - Marek Hulán

- Status changed from Assigned to New

Explanation is now part of installer help - see https://github.com/theforeman/foreman-installer/pull/78. Moving this to new status until rake db:drop

returns meaningful error code.

#5 - 11/14/2013 09:52 AM - Marek Hulán

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 76518ecbbb0ba07e71555e4a495f685876e68202.
